# Class EJBQLQueryDescriptor

java.lang.Object
org.apache.cayenne.map.QueryDescriptor
org.apache.cayenne.map.EJBQLQueryDescriptor

All Implemented Interfaces:
  `Serializable, ConfigurationNode, XMLSerializable`

public class EJBQLQueryDescriptor extends QueryDescriptor

Since:
  4.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `ejbql`

  ### Fields inherited from class QueryDescriptor

  `DATA_MAP_ROOT, dataMap, DB_ENTITY_ROOT, EJBQL_QUERY, JAVA_CLASS_ROOT, name, OBJ_ENTITY_ROOT, PROCEDURE_QUERY, PROCEDURE_ROOT, properties, root, SELECT_QUERY, SQL_TEMPLATE, type`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EJBQLQueryDescriptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `EJBQLQuery`
  `buildQuery()`
  Assembles Cayenne query instance of appropriate type from this descriptor.
  `void`
  `encodeAsXML(XMLEncoder encoder, ConfigurationNodeVisitor delegate)`
  Prints itself as XML to the provided XMLEncoder.
  `String`
  `getEjbql()`
  Returns EJBQL query string for this query.
  `void`
  `setEjbql(String ejbql)`
  Sets EJBQL query string for this query.

  ### Methods inherited from class QueryDescriptor

  `acceptVisitor, descriptor, ejbqlQueryDescriptor, getDataMap, getName, getProperties, getProperty, getRoot, getType, procedureQueryDescriptor, selectQueryDescriptor, setDataMap, setName, setProperties, setProperty, setRoot, setType, sqlTemplateDescriptor`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ejbql

    protected String ejbql

- ## Constructor Details

  - ### EJBQLQueryDescriptor

    public EJBQLQueryDescriptor()

- ## Method Details

  - ### getEjbql

    public String getEjbql()
    Returns EJBQL query string for this query.

  - ### setEjbql

    public void setEjbql(String ejbql)
    Sets EJBQL query string for this query.

  - ### buildQuery

    public EJBQLQuery buildQuery()
    Description copied from class: `QueryDescriptor`
    Assembles Cayenne query instance of appropriate type from this descriptor.
    Overrides:
      `buildQuery` in class `QueryDescriptor`

  - ### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder, ConfigurationNodeVisitor delegate)
    Description copied from interface: `XMLSerializable`
    Prints itself as XML to the provided XMLEncoder.
    Specified by:
      `encodeAsXML` in interface `XMLSerializable`
    Overrides:
      `encodeAsXML` in class `QueryDescriptor`